<?php

namespace Drupal\markdown_exporter;

use Symfony\Component\EventDispatcher\EventSubscriberInterface;
use Drupal\Core\Entity\EntityTypeListenerInterface;
use Drupal\Core\Entity\EntityTypeEvent;
use Drupal\Core\Entity\EntityTypeEventSubscriberTrait;

class MarkdownExporterEntitySchemaSubscriber implements EntityTypeListenerInterface, EventSubscriberInterface {

	use EntityTypeEventSubscriberTrait;

	public function __construct(EntityManagerInterface $entity_manager) {
			$this->entityManager = $entity_manager;
	}

	public function onCreate(EntityTypeEvent $event)  {
				//Do things on creation
	}

	public function onUpdate(EntityTypeEvent $event)  {
		$markdown_exporter_config = $this->config('markdown_exporter.settings');
		$entity_fields = json_decode($markdown_exporter_config);
		echo '<pre>'; print_r($entity_fields); exit;
	}

	public function onDelete(EntityTypeEvent $event)  {
				//Do things on delete
	}

	/**
	 * {@inheritdoc}
	 */
	public static function getSubscribedEvents() {
			return static::getEntityTypeEvents();
	}
}